.pra-form-field {
  align-items: center;
  display: flex;
  flex-direction: row;
  flex-wrap: wrap;
  gap: 8px;
  inline-size: 100%;
  justify-content: start;
  padding-block: 8px;
  .pra-form-field-input {
    inline-size: auto;
  }

  .pra-form-field-label {
    font-family: var(--pra-typography-font-family-secondary);
    font-weight: var(--pra-font-size-normal);
    line-height: 24px;
  }

  .pra-form-field-indicator {
    block-size: 24px;
    inline-size: 24px;
  }

  &-textbox {
    .pra-form-field-input {
      inline-size: 100%;
      order: 3;
    }

    .pra-form-field-label {
      order: 1;
    }

    .pra-form-field-indicator {
      order: 2;
    }
  }
  &-checkbox {
    .pra-form-field-input {
      order: 1;
    }

    .pra-form-field-label {
      order: 2;
    }

    .pra-form-field-indicator {
      order: 3;
    }
  }
}
